
QGIS Application - Bug report #21194

Crash when using Zoom to Group

2019-02-07 03:12 AM - Bill Syme

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29012

Description

User Feedback

This occurred when I used the "Zoom to Group" right click option.

Report Details

Crash ID: 1afd9cbb582303b343d3c089a02168b56c977f70

Stack Trace

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsAuxiliaryLayer::~QgsAuxiliaryLayer :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsAuxiliaryLayer::~QgsAuxiliaryLayer :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayoutItemPropertiesWidget::mXPosSpin_valueChanged :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsAuxiliaryLayer::~QgsAuxiliaryLayer :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsAuxiliaryLayer::~QgsAuxiliaryLayer :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsAttributeTableDialog::qt_static_metacall :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:185855b214

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-07 12:23 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Actions to Map Legend

Was this a one time thing or is 100% replicable?

Have you tried with a new/clean profile (no 3rd party plugins installed)?

#2 - 2019-03-08 10:44 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
